Page MenuHomePhabricator

Activate kafka-based recent change poller for wikidata query service
Closed, ResolvedPublic

Description

Now that the KafkaPoller is ready (T185951), we need to start using it. While activating it is mostly trivial, this task will make it clear that this is coming, so that the people behind kafka can know what to expect.

Details

Related Gerrit Patches:
operations/puppet : productionwdqs: enable kafka poller on all production nodes
operations/puppet : productionEnable Kafka poller for wdqs2001
operations/puppet : productionFix kafka configuration ports & cluster string
operations/puppet : productionRevert "Enable Kafka poller for wdqs2001"
operations/puppet : productionEnable Kafka poller for wdqs2001
operations/puppet : productionwdqs: fix reassignment of existing variable

Event Timeline

Gehel created this task.Feb 26 2018, 2:26 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 26 2018, 2:26 PM
Smalyshev triaged this task as Medium priority.Feb 26 2018, 6:36 PM
Smalyshev moved this task from Backlog to Doing on the User-Smalyshev board.

Change 415493 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[operations/puppet@production] Enable Kafka poller for wdqs2001

https://gerrit.wikimedia.org/r/415493

Change 415540 had a related patch set uploaded (by Gehel; owner: Gehel):
[operations/puppet@production] wdqs: fix reassignment of existing variable

https://gerrit.wikimedia.org/r/415540

Change 415540 merged by Gehel:
[operations/puppet@production] wdqs: fix reassignment of existing variable

https://gerrit.wikimedia.org/r/415540

Change 415493 merged by Gehel:
[operations/puppet@production] Enable Kafka poller for wdqs2001

https://gerrit.wikimedia.org/r/415493

Mentioned in SAL (#wikimedia-operations) [2018-03-01T17:51:22Z] <gehel> depooling wdqs2001 and switching to kafka poller - T188252

Change 415621 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[operations/puppet@production] Add port to kafka config for WDQS poller

https://gerrit.wikimedia.org/r/415621

Change 415621 merged by Gehel:
[operations/puppet@production] Fix kafka configuration ports & cluster string

https://gerrit.wikimedia.org/r/415621

Change 415633 had a related patch set uploaded (by Gehel; owner: Smalyshev):
[operations/puppet@production] Enable Kafka poller for wdqs2001

https://gerrit.wikimedia.org/r/415633

Change 415633 merged by Gehel:
[operations/puppet@production] Enable Kafka poller for wdqs2001

https://gerrit.wikimedia.org/r/415633

Mentioned in SAL (#wikimedia-operations) [2018-03-01T19:50:14Z] <gehel> new kafka based poller for wdqs now enabled on wdqs2001 - T188252

Change 416475 had a related patch set uploaded (by Gehel; owner: Gehel):
[operations/puppet@production] wdqs: enable kafka poller on all production nodes

https://gerrit.wikimedia.org/r/416475

Change 416475 merged by Gehel:
[operations/puppet@production] wdqs: enable kafka poller on all production nodes

https://gerrit.wikimedia.org/r/416475

Mentioned in SAL (#wikimedia-operations) [2018-03-06T10:30:11Z] <gehel> kafka poller active on all production wdqs nodes - T188252

Smalyshev closed this task as Resolved.Mar 6 2018, 8:49 PM